{
  "name": "ang2-conduit",
   "version": "1.0.0",
  "license": "MIT",
  "release-it": {
    "gitlab": {
      "release": true
    },
    "git": {
      "commitArgs": [
        "--no-verify"
      ]
    }
  },
  "main":"./dist/index.js",

  "types": "./dist/index.d.ts",
  "files":["dist"],

  "publishConfig": {
    "access": "public"
  },
  "keywords": [
    "gitlab",
    "packages"
  ],


  "scripts": {
    "clean": "rm -rf dist target *-release-*.zip .angular node_modules",
    "zip": "cd build && npm run prune && zip -x '*.git*' -r ../$npm_package_name-release-$npm_package_version.zip ./",
    "package": "npm run clean && npm install && npm run build-prod && npm run zip",
    "release": "release-it",
    "deploy-gitlab": "curl -X PUT --header \"PRIVATE-TOKEN: $gitlab_token\" --upload-file \"./$npm_package_name-release-$npm_package_version.zip\"  \"https://gitlab.com/api/v4/projects/34447912/packages/generic/$npm_package_name/$npm_package_version/$npm_package_name-$npm_package_version.zip\"",
    "ng": "ng",
    "start": "ng serve",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "build-prod": "ng build --prod --configuration=production",
    "build-production": "node --max_old_space_size=4096 node_modules/@angular/cli/bin/ng build --configuration production",
    "build-to-prod": "npm start",
    "serve": "rm -rf dist && ng build --configuration production && http-server -p 4200 -c-1 ./dist"
  },
  "author": "walid.mansia@allence-tunisie.com",
"repositpry":{
     "type":"git",
     "url":"git+ssh://git@gitlab.com/template-front-allence/ang2-conduit.git"
    },
"bugs":{
    "url":"git+ssh://git@gitlab.com/template-front-allence/angular/issues",
 "email" : "walid.mansia@allence-tunisie.com"
       },


  "dependencies": {
    "@angular/animations": "13.3.0",
    "@angular/cdk": "12.0.6",
    "@angular/common": "13.3.0",
    "@angular/compiler": "^13.3.0",
    "@angular/core": "13.3.0",
    "@angular/forms": "13.3.0",
    "@angular/platform-browser": "13.3.0",
    "@angular/platform-browser-dynamic": "13.3.0",
    "@angular/router": "13.3.0",
    "@ngrx/router-store": "^13.0.2",
    "@ngx-translate/core": "^14.0.0",
    "@ngx-translate/http-loader": "^6.0.0",
    "@ngxs/store": "^3.7.3",
    "@types/quill": "^2.0.9",
    "amplify": "0.0.11",
    "aws-amplify": "^3.4.3",
    "axios": "^0.26.1",
    "bootstrap": "^5.1.3",
    "core-js": "^2.4.1",
    "dragula": "^3.7.3",
    "js-sha256": "^0.9.0",
    "marked": "^0.3.9",
    "node-polyfill-webpack-plugin": "^1.1.4",
    "primeflex": "^3.1.3",
    "primeicons": "^5.0.0",
    "primeng": "^13.3.0",
    "quill": "^1.3.7",
    "rxjs": "^6.4.0",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~13.3.0",
    "@angular/cli": "^13.3.0",
    "@angular/compiler-cli": "13.3.0",
    "@angular/language-service": "13.3.0",
    "@biesbjerg/ngx-translate-extract": "^7.0.4",
    "@types/jasmine": "~3.6.0",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "^12.20.47",
    "codelyzer": "^6.0.2",
    "core-js": "^2.5.4",
    "jasmine-core": "~3.8.0",
    "jasmine-spec-reporter": "~5.0.0",
    "karma": "~6.3.17",
    "karma-chrome-launcher": "~3.1.0",
    "karma-cli": "~1.0.1",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "~4.0.0",
    "karma-jasmine-html-reporter": "^1.5.0",
    "protractor": "~7.0.0",
    "release-it": "^14.12.5",
    "ts-node": "~8.3.0",
    "tslib": "^2.3.1",
    "tslint": "~6.1.0",
    "typescript": "4.6.3",
    "@semantic-release/changelog": "^6.0.1",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^7.0.4",
    "@semantic-release/npm": "^8.0.3",
    "eslint": "^8.4.1",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "^27.4.4",
    "prettier": "2.5.1",
    "semantic-release": "^18.0.1"

  }
}
